> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create lead

> Create a new lead in your workspace.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/leads.yaml POST /leads
openapi: 3.0.3
info:
  title: NeetoCRM Leads APIs
  version: 2.0.0
servers:
  - description: NeetoCRM APIs
    url: https://{your-subdomain}.neetocrm.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Leads
    description: APIs to manage leads in your workspace.
paths:
  /leads:
    post:
      tags:
        - Leads
      summary: Create lead
      description: Create a new lead in your workspace.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/lead_request'
      responses:
        '201':
          description: Lead created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/lead_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
  schemas:
    lead_request:
      type: object
      properties:
        lead:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: Lead name.
              example: Eve
            status:
              type: string
              enum:
                - open
                - converted
                - archived
              description: Lead status.
              example: open
            owner_id:
              type: string
              description: Unique identifier of the owner.
              example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
            tag_ids:
              type: array
              items:
                type: string
              description: Array of tag IDs.
              example:
                - a1b2c3d4-e5f6-7890-abcd-ef1234567890
                - b2c3d4e5-f6a7-8901-bcde-f12345678901
    lead_response:
      type: object
      properties:
        lead:
          $ref: '#/components/schemas/lead'
      example:
        lead:
          id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
          name: Eve
          status: open
          unique_number: L-001
          email: eve@example.com
          phone_number: ''
          contact:
            id: null
            name: Eve
          company:
            id: null
            name: null
          owner: null
          tags: []
          created_at: '2025-03-15T10:30:00.000Z'
          updated_at: '2025-03-15T10:30:00.000Z'
    lead:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the lead.
        name:
          type: string
          description: Name of the lead.
        status:
          type: string
          enum:
            - open
            - converted
            - archived
          description: Current status of the lead.
        unique_number:
          type: string
          description: Auto-generated unique number for the lead.
        email:
          type: string
          nullable: true
          description: Email address of the lead (from associated contact).
        phone_number:
          type: string
          nullable: true
          description: Phone number of the lead (from associated contact).
        contact:
          type: object
          nullable: true
          description: Associated contact.
          properties:
            id:
              type: string
              description: Unique identifier of the contact.
            name:
              type: string
              description: Name of the contact.
        company:
          type: object
          nullable: true
          description: Associated company.
          properties:
            id:
              type: string
              description: Unique identifier of the company.
            name:
              type: string
              description: Name of the company.
        owner:
          type: string
          nullable: true
          description: Owner of the lead.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/tag'
          description: Tags associated with the lead.
        created_at:
          type: string
          format: date-time
          description: Timestamp when the lead was created.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the lead was last updated.
    tag:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the tag.
        name:
          type: string
          description: Name of the tag.
        style:
          type: string
          description: Style/color of the tag.

````